function [n, k , m ,pp ,bch,popis]=vyberkod(volba,kolikkodu)
switch kolikkodu
case 1
switch volba   
    case 2
        n = 7; k = 3; m = 3; pp=13; %t=2;
        bch=0;
        popis = sprintf('BER v závislosti na E_b/N_0 pro kód RS(%d,%d)',n,k);
    case 3
        n = 15; k = 11; m = 4; pp = 19;% t=2;
        bch=0;
        popis = sprintf('BER v závislosti na E_b/N_0 pro kód RS(%d,%d)',n,k);
    case 4
        n=31;k=27; m=5; pp=37;
        bch=0;
         popis = sprintf('BER v závislosti na E_b/N_0 pro kód RS(%d,%d)',n,k);
    case 5
        n = 127; k = 111; m = 7; pp = 137;% t=2;
        bch=0;
        popis = sprintf('BER v závislosti na E_b/N_0 pro kód RS(%d,%d)',n,k);
    case 6
        n = 255; k = 239; m = 8; pp = 285;% t=2;
        bch=0;
        popis = sprintf('BER v závislosti na E_b/N_0 pro kód RS(%d,%d)',n,k);
    case 7
        n= 7; k= 4; m=3;pp=11;% t=1;
        popis = sprintf('BER v závislosti na E_b/N_0 pro kód BCH(%d,%d)',n,k);
        bch=1;
    case 8
        n= 15; k= 7; m=4;pp=19;% t=2;
        popis = sprintf('BER v závislosti na E_b/N_0 pro kód BCH(%d,%d)',n,k);
        bch=1;
    case 9
        n= 63; k= 39; m=6;pp=67;% t=2;
        popis = sprintf('BER v závislosti na E_b/N_0 pro kód BCH(%d,%d)',n,k);
        bch=1;
    case 10
        n= 255; k= 207; m=8;pp=285;% t=2;
        popis = sprintf('BER v závislosti na E_b/N_0 pro kód BCH(%d,%d)',n,k);
        bch=1;
    case 11
        n=255; k=223;m=8; pp = 285;
        popis = sprintf('BER v závislosti na E_b/N_0 pro kód BCH(%d,%d)',n,k);
        bch=1;

    otherwise
end


case 2
    switch volba 
    case 2
        n = 7; k = 3; m = 3; pp=13;
        bch=0;
        popis = sprintf('kód RS(%d,%d)',n,k);
    case 3
        n = 15; k = 11; m = 4; pp = 19;
        bch=0;
        popis = sprintf('kód RS(%d,%d)',n,k);
        case 4
        n=31;k=27; m=5; pp=37;
        bch=0;
        popis = sprintf('kód RS(%d,%d)',n,k);
    case 5
        n = 127; k = 111; m = 7; pp = 137;
        bch=0;
        popis = sprintf('kód RS(%d,%d)',n,k);
    case 6
        n = 255; k = 239; m = 8; pp = 285;% t=2;
        bch=0;
        popis = sprintf('kód RS(%d,%d)',n,k);
        case 7
        n= 7; k= 4; m=3;pp=11;% t=1;
        popis = sprintf('kód BCH(%d,%d)',n,k);
        bch=1;
    case 8
        n= 15; k= 7; m=4;pp=19;% t=2;
        popis = sprintf('kód BCH(%d,%d)',n,k);
        bch=1;
    case 9
        n= 63; k= 39; m=6;pp=67;% t=2;
        popis = sprintf('kód BCH(%d,%d)',n,k);
        bch=1;
    case 10
        n= 255; k= 207; m=8;pp=285;% t=2;
        popis = sprintf('kód BCH(%d,%d)',n,k);
        bch=1;
    case 11
        n=255; k=223;m=8; pp = 285;
        popis = sprintf('kód BCH(%d,%d)',n,k);
        bch=1;
    
    otherwise
    end
    otherwise
end 